# Get Automatic Decisions

Source: https://www.digiparser.com/docs/api/getAutomaticDecisions

Api

# Get Automatic Decisions

Server URL`loading...`

GET

/`api`/`v1`/`parsers`/`{parserId}`/`automatic-decisions`

Send

Authorization

Path

Get the normalized auto-reject and auto-approve policies for a parser.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X GET "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/automatic-decisions"
```

200

```
{
  "version": 1,
  "autoReject": {
    "enabled": true,
    "ruleLogic": "and",
    "rules": [
      {
        "id": "string",
        "type": "simple",
        "field": "string",
        "condition": "extracted_value",
        "operator": "string",
        "value": "string"
      }
    ]
  },
  "autoApprove": {
    "enabled": true,
    "ruleLogic": "and",
    "rules": [
      {
        "id": "string",
        "type": "simple",
        "field": "string",
        "condition": "extracted_value",
        "operator": "string",
        "value": "string"
      }
    ]
  }
}
```